Opened 5 years ago

Last modified 3 years ago

#2278 assigned design-issue

Epic-internal RxNORM mapping

Reported by: dconnolly Owned by: mhoag
Priority: minor Milestone: heron-menomonee-update
Component: data-repository Keywords: term-stds public-web
Cc: rwaitman, ngraham Blocked By: 3506
Blocking: Sensitive: no

Description

We've done a MedMapping using gcn and ndc because the RxNORM columns in the data we're getting from Epic wasn't populated. Perhaps that's changing.

From: Campbell, James R [campbell@…]
Sent: Monday, September 09, 2013 10:01 PM
Subject: RE: RxNORM

Please inquire of your Epic team if they purchased FDB Interoperability suite including RxNORM mapping.

Change History (35)

comment:1 Changed 5 years ago by dconnolly

Russ, do you know who, in particlar, to ask?

Let us know if/when we should make this a near-term priority.

comment:2 Changed 5 years ago by rwaitman

Ask Susie Farkis or have Nathan ask Amber who would know in the pharmacy

comment:3 Changed 5 years ago by ngraham

I've e-mailed Amber:

From: Nathan Graham <ngraham@kumc.edu>
To: AMBER SAWYER <asawyer@kumc.edu>
Subject: Did KU Hospital purchase FDB Interoperability Suite?
Date: Mon, 16 Sep 2013 16:54:53 -0500

Google showed me FDB Interoperability Module from First Databank. Perhaps this is this what James is referring to?

comment:4 Changed 5 years ago by ngraham

Amber Responded:

We just added the module pending final signing of contract amendments with FDB. RxNorm is needed for MU-2, and the only way to get it through FDB is the interoperability module. RxNorm is an identifier for medication records which facilitates mapping between EHRs.

I responded to James:

From: Nathan Graham <ngraham@kumc.edu>
To: Dan Connolly <dconnolly@kumc.edu>, "Campbell, James R"
	<campbell@unmc.edu>, Russ Waitman <rwaitman@kumc.edu>
Subject: RE: RxNORM
Date: Tue, 17 Sep 2013 12:01:18 -0500

If FDB module does indeed map local medication terminology to RxNorm (and, if we in informatics could gain access to that mapping) I can see how it could potentially supersede (or at least augment and/or help verify) the work we've done to map Clarity medications to RxNorm for i2b2.

I've asked Amber if she (or her IT Pharmacy Contact) could help us understand where the FDB module stores the data in an attempt to find out whether or not we in informatics could obtain access. Perhaps the module integrates with Epic in such a way that we'll get it for free in future Clarity Extracts.

comment:5 Changed 5 years ago by ngraham

  • Blocking set to 2059

(In #2059) Perhaps the Epic/FDB module that the hospital has purchased will help us get more medication mapped to the hierarchy (#2278)

comment:5 Changed 5 years ago by ngraham

  • Blocking 2059 deleted
  • Milestone changed from heron-solomon-update to heron-lovewell-update

comment:6 Changed 4 years ago by ngraham

  • Milestone changed from heron-lovewell-update to heron-beaver-update

Back in September, Amber said:

We just added the module pending final signing of contract amendments with FDB...

I e-mailed Amber and Randy today to see if the FDB module is now implemented. I'd be interested in looking at the mapping tables if they are available in Clarity.

From: Nathan Graham <ngraham@kumc.edu>
To: Randy McMillen <rmcmillen@kumc.edu>
CC: AMBER SAWYER <asawyer@kumc.edu>
Subject: RE: Did KU Hospital purchase FDB Interoperability Suite?
Date: Thu, 23 Jan 2014 15:04:11 -0600

comment:7 Changed 4 years ago by ngraham

Randy Responded and referred me to Korby Lathrop:

From: Randy McMillen <rmcmillen@kumc.edu>
To: Nathan Graham <ngraham@kumc.edu>
CC: AMBER SAWYER <asawyer@kumc.edu>
Subject: RE: Did KU Hospital purchase FDB Interoperability Suite?
Date: Thu, 23 Jan 2014 21:54:27 +0000

I e-mailed Korby for more information:

From: Nathan Graham <ngraham@kumc.edu>
To: Korby Lathrop <klathrop@kumc.edu>
Subject: FDB Interoperability Suite
Date: Fri, 24 Jan 2014 15:30:26 -0600

comment:8 Changed 4 years ago by dconnolly

I wonder if this ticket should be migrated to the GPC trac; it's quite similar to a couple other castle-rock tickets.

We'd have to think about the sensitivities.

comment:9 Changed 4 years ago by ngraham

  • Owner changed from ngraham to rwaitman
  • Status changed from new to assigned

Russ,

Could you prioritize this for me? We apparently have FDB Interoperability Suite but the relevant tables don't appear in Clarity it seems. Perhaps it would be a matter of adding to the Clarity ETL? If I had the relevant tables, I'd be interested to see how the Epic -> RxNorm mappings compare with our current med mapping method of using GCN/NDC.

Details

I got a response from Donny Griffin:

From: Donny Griffin <dgriffin@kumc.edu>
To: Nathan Graham <ngraham@kumc.edu>
CC: Korby Lathrop <klathrop@kumc.edu>
Subject: RE: FDB Interoperability Suite
Date: Wed, 12 Feb 2014 19:09:07 +0000

I looked in my copy of a Clarity database and could not find the RxNorm? fields. I can tell you the field numbers and masterfile in Epic where this data is stored.
GCN field = ERX 1070
RxNorm fields = ERX 1530, 1531, 1532 & 1533

Donny also provided an Epic representative we could contact if necessary: TS Tyler <telias@…>

comment:10 Changed 4 years ago by ngraham

Perhaps related to #20. If we get access to EPIC chronicles then maybe we can pull over the RxNorm mappings.

comment:11 Changed 4 years ago by ngraham

  • Keywords public-web added
  • Sensitive unset

comment:12 Changed 4 years ago by ngraham

Dan notes that this is what was in the GPC PCORI proposal. Also somewhat related to GPC 78.

comment:13 Changed 4 years ago by dconnolly

FWIW, the relevant section of the GPC PCORI proposal is excerpted in GPC:DataStandardization#data-stds-framework

comment:14 Changed 4 years ago by dconnolly

  • Milestone changed from heron-verdigris-update to heron-kanopolis-update

postponing tickets other than those identified as Verdigris priorities in today's heron-weekly meeting

comment:15 Changed 3 years ago by dconnolly

  • Milestone changed from heron-kanopolis-update to dconnolly

Milestone renamed

comment:16 Changed 3 years ago by dconnolly

  • Milestone changed from dconnolly to heron-kanopolis-update

Milestone renamed

comment:17 Changed 3 years ago by dconnolly

  • Milestone changed from heron-kanopolis-update to dconnolly

Milestone renamed

comment:18 Changed 3 years ago by dconnolly

  • Milestone changed from dconnolly to heron-kanopolis-update

Milestone renamed

comment:19 Changed 3 years ago by dconnolly

  • Blocking set to 3127

comment:20 Changed 3 years ago by dconnolly

  • Milestone changed from heron-kanopolis-update to heron-webster-update
  • Priority changed from minor to major

Matt, now that you have Chronicles access (#20), would you please briefly evaluate the feasibility of this?

Or assign it to Sravani to evaluate?

comment:21 Changed 3 years ago by ngraham

  • Milestone changed from heron-webster-update to heron-quivira-update
  • Priority changed from major to minor

In heron-weekly, Russ isn't too worried about this since we have an approach that works. Russ hopes that when the hospital goes to Epic 2014 (April time frame?) the RxNorm tables will be populated in Clarity. Let's check back after the upgrade.

comment:22 Changed 3 years ago by dconnolly

  • Blocking 3127 deleted

comment:23 Changed 3 years ago by ngraham

  • Blocking set to 3416

comment:24 Changed 3 years ago by mhoag

  • Blocked By set to 3506

comment:25 Changed 3 years ago by ngraham

  • Milestone changed from heron-quivira-update to heron-jamestown-update
  • Owner changed from rwaitman to mhoag

Matt to try to get a one-time extraction of medication_id to RXCUI from Chronicles (see comment:9).

comment:26 Changed 3 years ago by dconnolly

  • Milestone changed from heron-jamestown-update to dconnolly

Milestone renamed

comment:27 Changed 3 years ago by dconnolly

  • Milestone changed from dconnolly to heron-jamestown-update

Milestone renamed

comment:28 Changed 3 years ago by ngraham

  • Milestone changed from heron-jamestown-update to heron-calhoun-update
  • Priority changed from minor to major

heron-weekly:
NG: oops, major ticket blocked by minor.
MH: Lots of unknowns for this. We are supposed to have a training meeting on June 25th.

comment:29 Changed 3 years ago by dconnolly

  • Blocking 3416 deleted

comment:30 Changed 3 years ago by ngraham

  • Priority changed from major to minor

As per ticket:3416#comment:38, Mei is happy with the medication mapping we achieved via GCN/NDC so I think this ticket can be minor again.

comment:31 Changed 3 years ago by ngraham

  • Milestone changed from heron-calhoun-update to heron-riverwalk-update

Ticket retargeted after milestone closed

comment:32 Changed 3 years ago by mhoag

  • Milestone changed from heron-riverwalk-update to heron-ray-hubbard-update

Ticket retargeted after milestone closed

comment:33 Changed 3 years ago by ngraham

  • Milestone changed from heron-ray-hubbard-update to heron-michigan-update

Ticket retargeted after milestone closed

comment:34 Changed 3 years ago by ngraham

  • Milestone changed from heron-michigan-update to heron-menomonee-update

Ticket retargeted after milestone closed

Note: See TracTickets for help on using tickets.